> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getProcessedPayperiodsDetails

> 
The `getProcessedPayPeriods` API retrieves all pay periods that have been processed for a company.

### What it does:

- Returns a list of completed pay periods with their associated IDs
- Provides date range, start date, end date, payroll deadline and workerType for each completed pay period

### Note:

- `getPayPeriodDetails` can be used to retrieve more in-depth information for a completed pay period using the **payPeriodIDs** returned by this API



## OpenAPI

````yaml get /reports/getProcessedPayperiodsDetails
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getProcessedPayperiodsDetails:
    get:
      tags: []
      summary: getProcessedPayperiodsDetails
      description: >-

        The `getProcessedPayPeriods` API retrieves all pay periods that have
        been processed for a company.


        ### What it does:


        - Returns a list of completed pay periods with their associated IDs

        - Provides date range, start date, end date, payroll deadline and
        workerType for each completed pay period


        ### Note:


        - `getPayPeriodDetails` can be used to retrieve more in-depth
        information for a completed pay period using the **payPeriodIDs**
        returned by this API
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
                workerType:
                  type: string
              required:
                - method
                - companyId
            example:
              method: getProcessedPayperiodsDetails
              companyId: 4934E42A-F448-4AF5-8273-850ECF17647C
              workerType: W2
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  processedPayPeriods:
                    type: array
                    items:
                      type: object
                      properties:
                        payPeriodId:
                          type: string
                        payPeriod:
                          type: string
                        payPeriodType:
                          type: string
                        payBeginDate:
                          type: string
                        payEndDate:
                          type: string
                        payDate:
                          type: string
                        deadLineToRunPayroll:
                          type: string
                        workerType:
                          type: string
                required:
                  - processedPayPeriods
              example:
                processedPayPeriods:
                  - payPeriodId: 5D23FFB1-A33D-453C-BBBA-15D3320B9D70
                    payPeriod: 06/11/2024 - 06/24/2024
                    payPeriodType: Regular
                    payBeginDate: '2024-06-11'
                    payEndDate: '2024-06-24'
                    payDate: '2024-06-25'
                    deadLineToRunPayroll: '2024-06-21'
                    workerType: W2
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Invalid WorkerType
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````